@import url("https://fonts.goolgeapis.com/css?family=Muli&display=swap");

:root {
  --blue: #09acfe;
  --red: #cd086f;
  --white: #e0e0e0;
  --yellow: #ffd257;
  --background-1: #121212;
  --background-2: #000000;
}

* {
  box-sizing: border-box;
}

body {
  background: var(--background-2);
  font-family: "Muli", sans-serif;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 100vh;
  overflow: hidden;
  margin: 0;
}

h3 {
  color: #fff;
  margin: 10px 0 20px;
  text-align: center;
  text-shadow: 1px 1px 1px black;
}

.container {
  width: 70vw;
}
.actionBox {
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  margin-bottom: 50px;
}

#textarea {
  border: none;
  display: block;
  height: 100px;
  font-family: inherit;
  border: 2px solid var(--yellow);
  border-radius: 20px;
  padding: 10px;
  font-size: 16px;
  margin-bottom: 10px;
}

button {
  height: 100px;
  color: var(--background-2);
  height: 50px;
  background: var(--white);
  border-radius: 10px;
  border-style: none;
}
button ion-icon {
  font-size: 24px;
}
.shakeme::before {
  content: "";
  display: absolute;
  top: 0;
  background: rgb(251, 120, 51);
  height: 100px;
  width: 100px;
}
#tags {
  display: flex;
  flex-wrap: wrap;
}
.tag {
  padding: 10px 20px;
  font-size: 14px;
  display: inline-block;
  position: relative;
  color: var(--white);
  border-radius: 0.5rem;
  background: transparent;
  cursor: pointer;
  border: 2px solid var(--red);
  margin-bottom: 1rem;
  margin-left: 2rem;
  text-shadow: 0 0 0.5rem var(--white);
  box-shadow: inset 0 0 0.7rem 0 var(--red),
  0 0 0.7rem 0 var(--red);
}

.tag.highlight {
  background-color: var(--blue);
  position: relative;
  color: var(--white);
  border-radius: 0.5rem;
  cursor: pointer;
  border: 2px solid var(--blue);
  margin-bottom: 1rem;
  margin-left: 2rem;
  text-shadow: 0 0 0.5rem var(--white);
  box-shadow: inset 0 0 0.7rem 0 var(--blue),
  0 0 0.7rem 0 var(--blue);
}


    
@media (min-width: 640px) {
  .container {
    width: 500px;
  }

  .actionBox {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
  }

  #textarea {
    border: none;
    display: block;
    flex: 5;
    height: 100px;
    font-family: inherit;
    border: 2px solid var(--yellow);
    border-radius: 20px;
    padding: 10px;
    font-size: 16px;
    margin-bottom: 10px;
  }

  button {
    flex: 1;
    height: 100px;
    margin-left: 10px;
    background: url(dice.png) center no-repeat;
    background-size: auto 80px;
    border-radius: 20px;
    border-style: none;
  }

  button ion-icon {
    opacity: 0;
  }

  .tag {
    padding: 10px 20px;
    font-size: 14px;
    display: inline-block;
    position: relative;
    color: var(--white);
    border-radius: 0.5rem;
    background: transparent;
    cursor: pointer;
    border: 2px solid var(--red);
    margin-bottom: 1rem;
    margin-left: 2rem;
    text-shadow: 0 0 0.5rem var(--white);
    box-shadow: inset 0 0 0.7rem 0 var(--red),
    0 0 0.7rem 0 var(--red);
  }

  .tag.highlight {
    background-color: var(--blue);
    position: relative;
    color: var(--white);
    border-radius: 0.5rem;
    cursor: pointer;
    border: 2px solid var(--blue);
    margin-bottom: 1rem;
    margin-left: 2rem;
    text-shadow: 0 0 0.5rem var(--white);
    box-shadow: inset 0 0 0.7rem 0 var(--blue),
    0 0 0.7rem 0 var(--blue);
  }

  
@keyframes shakeme {
  0% {
    -webkit-transform: translate(2px, 1px) rotate(0deg);
  }
  10% {
    -webkit-transform: translate(-1px, -2px) rotate(-1deg);
  }
  20% {
    -webkit-transform: translate(-3px, 0px) rotate(1deg);
  }
  30% {
    -webkit-transform: translate(0px, 2px) rotate(0deg);
  }
  40% {
    -webkit-transform: translate(1px, -1px) rotate(1deg);
  }
  50% {
    -webkit-transform: translate(-1px, 2px) rotate(-1deg);
  }
  60% {
    -webkit-transform: translate(-3px, 1px) rotate(0deg);
  }
  70% {
    -webkit-transform: translate(2px, 1px) rotate(-1deg);
  }
  80% {
    -webkit-transform: translate(-1px, -1px) rotate(1deg);
  }
  90% {
    -webkit-transform: translate(2px, 2px) rotate(0deg);
  }
  100% {
    -webkit-transform: translate(1px, -2px) rotate(-1deg);
  }
}
.shakeme:hover {
  animation-name: shakeme;
  animation-duration: 0.8s;
  transform-origin: 50% 50%;
  animation-iteration-count: infinite;
  animation-timing-function: linear;
}
.shakeme {
  display: inline-block;
}
}